## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder
Class ExpressionsComboBoxCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.datatools.sqltools.sqlbuilder.views.EditComboBoxCellEditor
              org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.ExpressionsComboBoxCellEditor

    public class ExpressionsComboBoxCellEditor

extends EditComboBoxCellEditor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`org.eclipse.jface.viewers.CellEditor.LayoutData`

Field Summary
`static java.lang.String` `ADDCASE`
`static java.lang.String` `ADDCAST`
`static java.lang.String` `ADDCONSTANT`
`static java.lang.String` `ADDEXPRBYOPERATOR`
`static java.lang.String` `ADDFUNCTION`
`static java.lang.String` `SELECTSUBQUERY`

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`ExpressionsComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent, QueryStatement sqlStmt)`
`ExpressionsComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent, QueryStatement sqlStmt, java.util.Vector firstItems)`

Method Summary
`void` `fillItems()`
`void` `includeCase(boolean includeIt)`
`void` `includeCast(boolean includeIt)`
`void` `includeConstant(boolean includeIt)`
`void` `includeExprByOperator(boolean includeIt)`
`void` `includeFunction(boolean includeIt)`
`void` `includeSubQuery(boolean includeIt)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.EditComboBoxCellEditor
`activate, appendQuotes, createItems, deactivate, forwardFocusLost, getComboBoxItems, getNeedQuotes, getPairDataType, getQuotesContext, setNeedQuotes, setPairDataType, setPairDataType, setQuotesContext`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, addListener, addPropertyChangeListener, create, dispose, getControl, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setFocus, setStyle, setValidator, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADDFUNCTION

    public static java.lang.String ADDFUNCTION

### ADDCASE

    public static java.lang.String ADDCASE

### ADDCAST

    public static java.lang.String ADDCAST

### ADDCONSTANT

    public static java.lang.String ADDCONSTANT

### SELECTSUBQUERY

    public static java.lang.String SELECTSUBQUERY

### ADDEXPRBYOPERATOR

    public static java.lang.String ADDEXPRBYOPERATOR

Constructor Detail

### ExpressionsComboBoxCellEditor

    public ExpressionsComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent,
                                         QueryStatement sqlStmt)

### ExpressionsComboBoxCellEditor

    public ExpressionsComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent,
                                         QueryStatement sqlStmt,
                                         java.util.Vector firstItems)

Method Detail

### includeFunction

    public void includeFunction(boolean includeIt)

### includeCase

    public void includeCase(boolean includeIt)

### includeCast

    public void includeCast(boolean includeIt)

### includeConstant

    public void includeConstant(boolean includeIt)

### includeSubQuery

    public void includeSubQuery(boolean includeIt)

### includeExprByOperator

    public void includeExprByOperator(boolean includeIt)

### fillItems

    public void fillItems()